Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1077796 - [Neutron integration] unlinked vNIC with external network can be plugged to VM
Summary: [Neutron integration] unlinked vNIC with external network can be plugged to VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: 3.5.0
Assignee: Yevgeny Zaspitsky
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On:
Blocks: 1063716 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-18 15:13 UTC by GenadiC
Modified: 2016-02-10 19:46 UTC (History)
12 users (show)

Fixed In Version: vt3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:11:30 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32032 master MERGED engine,webadmin: Plugging of an unlinked vnic with an ext net is blocked Never
oVirt gerrit 32629 ovirt-engine-3.5 MERGED engine,webadmin: Plugging of an unlinked vnic with an ext net is blocked Never

Description GenadiC 2014-03-18 15:13:54 UTC
Description of problem:
The existing behaviour for link/unlink state for external network is as follow:
You get Can do action if you try to unlink NIC with external network.
But if you unplug that NIC and try to plug it back when it is unlinked an action succeeds.
So you find a way to get plugged and unlinked NIC with external network when you are supposed to get Can do action

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create VM with external network
2. Unlink and unplug it
3. Plug it back

Actual results:
An action succeeds and you have plugged and unlinked NIC with external network on VM

Expected results:
An action should fail with Can do action

Additional info:

Comment 1 Dan Kenigsberg 2014-04-10 14:20:28 UTC
This behavior is inconsistent and misleading, but should not block rhev-3.4.0

Comment 2 Lior Vernia 2014-06-26 13:41:15 UTC
This could be solved on both backend and frontend, I think that blocking this in the backend should be enough.

Comment 3 Eyal Edri 2014-09-10 20:21:53 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 4 Martin Pavlik 2014-09-12 14:46:05 UTC
VERIFIED

Red Hat Enterprise Virtualization Manager Version: 3.5.0-0.12.beta.el6ev 

Error while executing action:

rhel6.6:

    Cannot edit Interface. Plugged and unlinked VM network interface with external network is not supported.

Comment 5 Eyal Edri 2015-02-17 17:11:30 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.